# Annotation Interface PathSensitive

@Incubating @Documented @Retention(RUNTIME) @Target({METHOD,FIELD}) public @interface PathSensitive
Annotates a task file property, specifying which part of the file paths should be considered during up-to-date checks.

This annotation should be attached to the getter method in Java or the property in Groovy. Annotations on setters or just the field in Java are ignored.

Since:
  3.1

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`PathSensitivity`
`value`

## Element Details

### value

PathSensitivity value